org.h2.tools

## Interface SimpleRowSource

All Known Implementing Classes:
  Csv

    public interface SimpleRowSource

This interface is for classes that create rows on demand. It is used together with SimpleResultSet to create a dynamic result set.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `close()` Close the row source.
`java.lang.Object[]` `readRow()` Get the next row.
`void` `reset()` Reset the position (before the first row).

### Method Detail

#### readRow

    java.lang.Object[] readRow()
                        throws java.sql.SQLException

Get the next row. Must return null if no more rows are available.

Returns:
  the row or null
Throws:
  `java.sql.SQLException` - on failure

#### close

    void close()

Close the row source.

#### reset

    void reset()
        throws java.sql.SQLException

Reset the position (before the first row).

Throws:
  `java.sql.SQLException` - if this operation is not supported